<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/uart.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">uart.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 Series UART control header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d48/uart_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2uart_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d2/d86/uart_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga26c5e8b712a0a1db254ec39b7e7fff89">UART_WORD_LEN_5</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf1774a8b00bf1193f4e3d124af968ab9">UART_WORD_LEN_6</a>&#160;&#160;&#160;(1)</td></tr>
<tr class="separator:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa05951c6ae838f19a4adad48172bd9db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa05951c6ae838f19a4adad48172bd9db">UART_WORD_LEN_7</a>&#160;&#160;&#160;(2)</td></tr>
<tr class="separator:gaa05951c6ae838f19a4adad48172bd9db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">UART_WORD_LEN_8</a>&#160;&#160;&#160;(3)</td></tr>
<tr class="separator:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">UART_PARITY_NONE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga229615e64964f68f7a856ea6ffea359e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga229615e64964f68f7a856ea6ffea359e">UART_PARITY_ODD</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga229615e64964f68f7a856ea6ffea359e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga063b14ac42ef9e8f4246c17a586b14eb">UART_PARITY_EVEN</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cb7d86a9ed87158677314c01f358cb6">UART_PARITY_MARK</a>&#160;&#160;&#160;(0x5 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga306c559681a17e95516d3a3f2f8533bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga306c559681a17e95516d3a3f2f8533bb">UART_PARITY_SPACE</a>&#160;&#160;&#160;(0x7 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga306c559681a17e95516d3a3f2f8533bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58e87dcac022388ad406eb83031777db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">UART_STOP_BIT_1</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:ga58e87dcac022388ad406eb83031777db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3aede405f7c8862476bfbd798997e81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab3aede405f7c8862476bfbd798997e81">UART_STOP_BIT_1_5</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:gab3aede405f7c8862476bfbd798997e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4d9bc854560827e6f6cbfe23389674a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac4d9bc854560827e6f6cbfe23389674a">UART_STOP_BIT_2</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:gac4d9bc854560827e6f6cbfe23389674a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa2fb5416da8b1cdd9fd4ef00040c58b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2fb5416da8b1cdd9fd4ef00040c58b8">UART_TLCTL_RFITL_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:gaa2fb5416da8b1cdd9fd4ef00040c58b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga347bad481e9cb30ba2e8147798cb37c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga347bad481e9cb30ba2e8147798cb37c8">UART_TLCTL_RFITL_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:ga347bad481e9cb30ba2e8147798cb37c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0092e543f2f3c78e153557cbfd6d3ab4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0092e543f2f3c78e153557cbfd6d3ab4">UART_TLCTL_RFITL_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:ga0092e543f2f3c78e153557cbfd6d3ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6cd8dc91b5eb323ab13eac75ead25a2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6cd8dc91b5eb323ab13eac75ead25a2">UART_TLCTL_RFITL_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:gaa6cd8dc91b5eb323ab13eac75ead25a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2c8a6dcfee4424ccd0b4a294a992073"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2c8a6dcfee4424ccd0b4a294a992073">UART_TLCTL_RTS_TRI_LEV_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gac2c8a6dcfee4424ccd0b4a294a992073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab4f88daf875f8d7771977ad6d68c8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0ab4f88daf875f8d7771977ad6d68c8c">UART_TLCTL_RTS_TRI_LEV_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga0ab4f88daf875f8d7771977ad6d68c8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8001d59ec9a045c5f547fcd0ded5b46a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8001d59ec9a045c5f547fcd0ded5b46a">UART_TLCTL_RTS_TRI_LEV_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga8001d59ec9a045c5f547fcd0ded5b46a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad352ccf693cc547458485e7ba7b824c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad352ccf693cc547458485e7ba7b824c7">UART_TLCTL_RTS_TRI_LEV_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gad352ccf693cc547458485e7ba7b824c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6092e01dd538b74460bf0a48d774882"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6092e01dd538b74460bf0a48d774882">UART_RTS_IS_HIGH_LEV_TRG</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gaf6092e01dd538b74460bf0a48d774882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae396db460cc40325e6ff48e101a12fa7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae396db460cc40325e6ff48e101a12fa7">UART_RTS_IS_LOW_LEV_TRG</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gae396db460cc40325e6ff48e101a12fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac756ade4c2a338617e80a2fed0ef0049"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">UART_FUNC_SEL_UART</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gac756ade4c2a338617e80a2fed0ef0049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f46769716a711a74aab6d3884ca4e05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">UART_FUNC_SEL_LIN</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:ga0f46769716a711a74aab6d3884ca4e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd1f648a26d73fd1f47341109cc2278b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd1f648a26d73fd1f47341109cc2278b">UART_FUNC_SEL_IrDA</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gacd1f648a26d73fd1f47341109cc2278b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">UART_FUNC_SEL_RS485</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b95702ec6143af8ae540638f6ff80f2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">UART_BAUD_MODE0</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="memdesc:ga2b95702ec6143af8ae540638f6ff80f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">More...</a><br /></td></tr>
<tr class="separator:ga2b95702ec6143af8ae540638f6ff80f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga140a7bc3fbd481b247b31ad74f09cc80"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">UART_BAUD_MODE1</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3e542436e5f30455d0624f604b35ace5">UART_BAUD_DIV_16_EN_Msk</a>)</td></tr>
<tr class="memdesc:ga140a7bc3fbd481b247b31ad74f09cc80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">More...</a><br /></td></tr>
<tr class="separator:ga140a7bc3fbd481b247b31ad74f09cc80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7bc943f55e64efe28999daf11d5a4ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">UART_BAUD_MODE1_DIVIDER</a>(u32SrcFreq,  u32BaudRate)&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate*8)) / u32BaudRate &gt;&gt; 4)-1)</td></tr>
<tr class="memdesc:gad7bc943f55e64efe28999daf11d5a4ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">More...</a><br /></td></tr>
<tr class="separator:gad7bc943f55e64efe28999daf11d5a4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">UART_BAUD_MODE0_DIVIDER</a>(u32SrcFreq,  u32BaudRate)&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate/2)) / u32BaudRate)-1)</td></tr>
<tr class="memdesc:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode2 divider.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">More...</a><br /></td></tr>
<tr class="separator:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga083fbb83994e89568760f957e23d8ab2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga083fbb83994e89568760f957e23d8ab2">UART_WRITE</a>(uart,  u8Data)&#160;&#160;&#160;(uart-&gt;THR = (u8Data))</td></tr>
<tr class="memdesc:ga083fbb83994e89568760f957e23d8ab2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write Data to Tx data register.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga083fbb83994e89568760f957e23d8ab2">More...</a><br /></td></tr>
<tr class="separator:ga083fbb83994e89568760f957e23d8ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e15d2e6ae8b6bc0971dd35431c7a736">UART_READ</a>(uart)&#160;&#160;&#160;(uart-&gt;RBR)</td></tr>
<tr class="memdesc:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read Rx data register.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e15d2e6ae8b6bc0971dd35431c7a736">More...</a><br /></td></tr>
<tr class="separator:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2504484cd8946223b4306781761e3b73"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2504484cd8946223b4306781761e3b73">UART_GET_TX_EMPTY</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a44b46dce1e9daa3eec4bd33b2e3ed030">UART_FSR_TX_EMPTY_F_Msk</a>)</td></tr>
<tr class="memdesc:ga2504484cd8946223b4306781761e3b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Tx empty register value.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2504484cd8946223b4306781761e3b73">More...</a><br /></td></tr>
<tr class="separator:ga2504484cd8946223b4306781761e3b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b29b47b3a3334c6ca5f2efe2c21bb2">UART_GET_RX_EMPTY</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aa8c7bcb82bb87f1e1e382bcfeb465677">UART_FSR_RX_EMPTY_F_Msk</a>)</td></tr>
<tr class="memdesc:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Rx empty register value.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b29b47b3a3334c6ca5f2efe2c21bb2">More...</a><br /></td></tr>
<tr class="separator:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga61ef2046c6aa7dd44dd482cd43d6961d">UART_IS_TX_EMPTY</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#afefb95cc21b2b73616b108c184730257">UART_FSR_TE_F_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4b0c8daeb989181f27293b6111d27311">UART_FSR_TE_F_Pos</a>)</td></tr>
<tr class="memdesc:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified UART port transmission is over.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga61ef2046c6aa7dd44dd482cd43d6961d">More...</a><br /></td></tr>
<tr class="separator:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf96be169ef2a1bc49fd0f44831a6047c">UART_WAIT_TX_EMPTY</a>(uart)&#160;&#160;&#160;while(!((uart-&gt;FSR) &amp; (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a44b46dce1e9daa3eec4bd33b2e3ed030">UART_FSR_TX_EMPTY_F_Msk</a> | <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#afefb95cc21b2b73616b108c184730257">UART_FSR_TE_F_Msk</a>)) )</td></tr>
<tr class="memdesc:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait specified UART port transmission is over.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf96be169ef2a1bc49fd0f44831a6047c">More...</a><br /></td></tr>
<tr class="separator:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35dd095067af93a9e635ab3aee4c8432"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35dd095067af93a9e635ab3aee4c8432">UART_IS_RX_READY</a>(uart)&#160;&#160;&#160;((uart-&gt;ISR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac72220eea08d4e3c52de3aef1ce9ba0f">UART_ISR_RDA_IS_Msk</a>)&gt;&gt;<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a2c62a375180dd4db339eff0017e4a49c">UART_ISR_RDA_IS_Pos</a>)</td></tr>
<tr class="memdesc:ga35dd095067af93a9e635ab3aee4c8432"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check RDA_IF is set or not.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35dd095067af93a9e635ab3aee4c8432">More...</a><br /></td></tr>
<tr class="separator:ga35dd095067af93a9e635ab3aee4c8432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9888c26b3c2bf68be2619152468a9447"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9888c26b3c2bf68be2619152468a9447">UART_IS_TX_FULL</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3669d9c05470178c27d910994a1bb512">UART_FSR_TX_FULL_F_Msk</a>)&gt;&gt;<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ad549344cb2860c19a0b114299a53fabf">UART_FSR_TX_FULL_F_Pos</a>)</td></tr>
<tr class="memdesc:ga9888c26b3c2bf68be2619152468a9447"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check TX FIFO is full or not.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9888c26b3c2bf68be2619152468a9447">More...</a><br /></td></tr>
<tr class="separator:ga9888c26b3c2bf68be2619152468a9447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd0e6e0bf97f0f89e03313ee358788a9">UART_IS_RX_FULL</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aa5f2204cc0bf0889d64b93748e006eaf">UART_FSR_RX_FULL_F_Msk</a>)&gt;&gt;<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a470e12a2b05cf26e71b133a37c52736a">UART_FSR_RX_FULL_F_Pos</a>)</td></tr>
<tr class="memdesc:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check RX FIFO is full or not.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd0e6e0bf97f0f89e03313ee358788a9">More...</a><br /></td></tr>
<tr class="separator:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">UART_GET_TX_FULL</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3669d9c05470178c27d910994a1bb512">UART_FSR_TX_FULL_F_Msk</a>)</td></tr>
<tr class="memdesc:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Tx full register value.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">More...</a><br /></td></tr>
<tr class="separator:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga79e0afb4463506e02dda5d4e4660bd2d">UART_GET_RX_FULL</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aa5f2204cc0bf0889d64b93748e006eaf">UART_FSR_RX_FULL_F_Msk</a>)</td></tr>
<tr class="memdesc:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Rx full register value.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga79e0afb4463506e02dda5d4e4660bd2d">More...</a><br /></td></tr>
<tr class="separator:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ab7e616692b05e51820ff6196caeeee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ab7e616692b05e51820ff6196caeeee">UART_SET_RX_FIFO_INTTRGLV</a>(uart,  u32TriggerLevel)&#160;&#160;&#160;((uart)-&gt;TLCTL  = ((uart)-&gt;TLCTL  &amp;  ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab8cc29b27ab33743abce1734efefd660">UART_TLCTL_RFITL_Msk</a>) | (u32TriggerLevel))</td></tr>
<tr class="memdesc:ga6ab7e616692b05e51820ff6196caeeee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Rx FIFO interrupt Trigger Level.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ab7e616692b05e51820ff6196caeeee">More...</a><br /></td></tr>
<tr class="separator:ga6ab7e616692b05e51820ff6196caeeee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae0715a29b04c2aebd5b1ba1b99f0aace">UART_ENABLE_INT</a>(uart,  u32eIntSel)&#160;&#160;&#160;(uart-&gt;IER |= (u32eIntSel))</td></tr>
<tr class="memdesc:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae0715a29b04c2aebd5b1ba1b99f0aace">More...</a><br /></td></tr>
<tr class="separator:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6806d0b82666a849ae9ef6cad6747657"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6806d0b82666a849ae9ef6cad6747657">UART_DISABLE_INT</a>(uart,  u32eIntSel)&#160;&#160;&#160;(uart-&gt;IER &amp;= ~ (u32eIntSel))</td></tr>
<tr class="memdesc:ga6806d0b82666a849ae9ef6cad6747657"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6806d0b82666a849ae9ef6cad6747657">More...</a><br /></td></tr>
<tr class="separator:ga6806d0b82666a849ae9ef6cad6747657"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7a263c6fe1e3d032abf9e4cb7556d7e">UART_GET_INT_FLAG</a>(uart,  u32eIntTypeFlag)&#160;&#160;&#160;((uart-&gt;ISR &amp; (u32eIntTypeFlag))?1:0)</td></tr>
<tr class="memdesc:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get specified interrupt flag/status.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7a263c6fe1e3d032abf9e4cb7556d7e">More...</a><br /></td></tr>
<tr class="separator:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2fcd8999cc2a80f23dde3fcba363658"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2fcd8999cc2a80f23dde3fcba363658">UART_RS485_CLEAR_ADDR_FLAG</a>(uart)&#160;&#160;&#160;(uart-&gt;TRSR  = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a909ee94bfcb3516c3ef4adb6878cb694">UART_TRSR_RS485_ADDET_F_Msk</a>)</td></tr>
<tr class="memdesc:gad2fcd8999cc2a80f23dde3fcba363658"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear RS-485 Address Byte Detection Flag.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2fcd8999cc2a80f23dde3fcba363658">More...</a><br /></td></tr>
<tr class="separator:gad2fcd8999cc2a80f23dde3fcba363658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60ec8016ded1868a689c9065088a815c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60ec8016ded1868a689c9065088a815c">UART_RS485_GET_ADDR_FLAG</a>(uart)&#160;&#160;&#160;((uart-&gt;TRSR  &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a909ee94bfcb3516c3ef4adb6878cb694">UART_TRSR_RS485_ADDET_F_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7b1ad8e88a88b437693c3472941d7819">UART_TRSR_RS485_ADDET_F_Pos</a>)</td></tr>
<tr class="memdesc:ga60ec8016ded1868a689c9065088a815c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RS-485 Address Byte Detection Flag.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60ec8016ded1868a689c9065088a815c">More...</a><br /></td></tr>
<tr class="separator:ga60ec8016ded1868a689c9065088a815c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2a2bbf1d71806c044999a316f640687d"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">UART_CLEAR_RTS</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga2a2bbf1d71806c044999a316f640687d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set RTS pin is low.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">More...</a><br /></td></tr>
<tr class="separator:ga2a2bbf1d71806c044999a316f640687d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga314065271811d1e0f5597c75ec9ecd7e"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">UART_SET_RTS</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga314065271811d1e0f5597c75ec9ecd7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set RTS pin is high.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">More...</a><br /></td></tr>
<tr class="separator:ga314065271811d1e0f5597c75ec9ecd7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to clear UART specified interrupt flag.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">More...</a><br /></td></tr>
<tr class="separator:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">More...</a><br /></td></tr>
<tr class="separator:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART auto flow control.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">More...</a><br /></td></tr>
<tr class="separator:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga978d8c95e3b536a84f56567f9eb35597"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga978d8c95e3b536a84f56567f9eb35597"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">More...</a><br /></td></tr>
<tr class="separator:ga978d8c95e3b536a84f56567f9eb35597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b63c003589dc997066dc8e5b77d0662"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga7b63c003589dc997066dc8e5b77d0662"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to Enable UART auto flow control.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">More...</a><br /></td></tr>
<tr class="separator:ga7b63c003589dc997066dc8e5b77d0662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable UART specified interrupt.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">More...</a><br /></td></tr>
<tr class="separator:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadcca8d11ae146138c089c65c2a9eb428"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gadcca8d11ae146138c089c65c2a9eb428"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable UART function and set baud-rate.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">More...</a><br /></td></tr>
<tr class="separator:gadcca8d11ae146138c089c65c2a9eb428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">More...</a><br /></td></tr>
<tr class="separator:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83fe107ad6c49af362366874e4a730e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t u32stop_bits)</td></tr>
<tr class="memdesc:ga83fe107ad6c49af362366874e4a730e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config UART line setting.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">More...</a><br /></td></tr>
<tr class="separator:ga83fe107ad6c49af362366874e4a730e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set Rx timeout count.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">More...</a><br /></td></tr>
<tr class="separator:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Buadrate, uint32_t u32Direction)</td></tr>
<tr class="memdesc:gab74d997a2c280fedd422b65cc06ed4e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">More...</a><br /></td></tr>
<tr class="separator:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga012cceda57fbf706282dfc225754f9ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Mode, uint32_t u32Addr)</td></tr>
<tr class="memdesc:ga012cceda57fbf706282dfc225754f9ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set RS485 relative setting.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">More...</a><br /></td></tr>
<tr class="separator:ga012cceda57fbf706282dfc225754f9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Mode, uint32_t u32BreakLength)</td></tr>
<tr class="memdesc:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="mdescLeft">&#160;</td><td class="mdescRight">Select and configure LIN function.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">More...</a><br /></td></tr>
<tr class="separator:ga10d8bd72a87f9e2678accad6ff5ab594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c407ea077120e5e2e19b44742554137"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga7c407ea077120e5e2e19b44742554137"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is to write data into TX buffer to transmit data by UART.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">More...</a><br /></td></tr>
<tr class="separator:ga7c407ea077120e5e2e19b44742554137"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 Series UART control header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>14 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 1:36p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
